# Generated by Django 5.1.3 on 2024-12-06 15:45

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('cms', '0035_auto_20230822_2208_squashed_0036_auto_20240311_1028'),
    ]

    operations = [
        migrations.CreateModel(
            name='MetaTag',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(choices=[('charset', 'charset'), ('keywords', 'keywords'), ('description', 'description'), ('subject', 'subject'), ('copyright', 'copyright'), ('language', 'language'), ('robots', 'robots'), ('revised', 'revised'), ('abstract', 'abstract'), ('topic', 'topic'), ('summary', 'summary'), ('Classification', 'Classification'), ('author', 'author'), ('designer', 'designer'), ('reply-to', 'reply-to'), ('owner', 'owner'), ('url', 'url'), ('identifier-URL', 'identifier-URL'), ('directory', 'directory'), ('pagename', 'pagename'), ('category', 'category'), ('coverage', 'coverage'), ('distribution', 'distribution'), ('rating', 'rating'), ('revisit-after', 'revisit-after'), ('subtitle', 'subtitle'), ('target', 'target'), ('HandheldFriendly', 'HandheldFriendly'), ('MobileOptimized', 'MobileOptimized'), ('date', 'date'), ('search_date', 'search_date'), ('DC.title', 'DC.title'), ('ResourceLoaderDynamicStyles', 'ResourceLoaderDynamicStyles'), ('medium', 'medium'), ('syndication-source', 'syndication-source'), ('original-source', 'original-source'), ('verify-v1', 'verify-v1'), ('y_key', 'y_key'), ('pageKey', 'pageKey'), ('itemprop', 'itemprop'), ('name', 'name'), ('http-equiv', 'http-equiv'), ('google-analytics', 'google-analytics'), ('disqus', 'disqus'), ('uservoice', 'uservoice'), ('mixpanel', 'mixpanel'), ('microid', 'microid'), ('readability-verification', 'readability-verification'), ('google-site-verification', 'google-site-verification'), ('ICBM', 'ICBM'), ('generator', 'generator'), ('norton-safeweb-site-verification', 'norton-safeweb-site-verification')], max_length=100, verbose_name='Meta name')),
                ('content', models.CharField(max_length=255, verbose_name='Meta content')),
            ],
            options={
                'verbose_name': 'Meta Tag',
                'verbose_name_plural': 'Meta Tags',
            },
        ),
        migrations.CreateModel(
            name='OpenGraphMeta',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('property', models.CharField(choices=[('title', 'title'), ('type', 'type'), ('url', 'url'), ('image', 'image'), ('site_name', 'site_name'), ('description', 'description'), ('fb:page_id', 'fb:page_id'), ('application-name', 'application-name'), ('email', 'email'), ('phone_number', 'phone_number'), ('fax_number', 'fax_number'), ('latitude', 'latitude'), ('longitude', 'longitude'), ('street-address', 'street-address'), ('locality', 'locality'), ('region', 'region'), ('postal-code', 'postal-code'), ('country-name', 'country-name'), ('fb:admins', 'fb:admins'), ('type', 'type'), ('points', 'points'), ('video', 'video'), ('video:height', 'video:height'), ('video:width', 'video:width'), ('video:type', 'video:type'), ('audio', 'audio'), ('audio:title', 'audio:title'), ('audio:artist', 'audio:artist'), ('audio:album', 'audio:album'), ('audio:type', 'audio:type')], max_length=100, verbose_name='OG property')),
                ('content', models.CharField(max_length=255, verbose_name='OG content')),
            ],
            options={
                'verbose_name': 'Open Graph Meta',
                'verbose_name_plural': 'Open Graph Meta',
            },
        ),
        migrations.CreateModel(
            name='TwitterCardMeta',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(choices=[('card', 'card'), ('site', 'site'), ('creator', 'creator'), ('title', 'title'), ('description', 'description'), ('image', 'image'), ('image:alt', 'image:alt'), ('app:name:iphone', 'app:name:iphone'), ('app:id:iphone', 'app:id:iphone'), ('app:url:iphone', 'app:url:iphone'), ('app:name:ipad', 'app:name:ipad'), ('app:id:ipad', 'app:id:ipad'), ('app:url:ipad', 'app:url:ipad'), ('app:name:googleplay', 'app:name:googleplay'), ('app:id:googleplay', 'app:id:googleplay'), ('app:url:googleplay', 'app:url:googleplay'), ('player', 'player'), ('player:width', 'player:width'), ('player:height', 'player:height'), ('player:stream', 'player:stream'), ('player:stream:content_type', 'player:stream:content_type')], max_length=100, verbose_name='Twitter Card name')),
                ('content', models.CharField(max_length=255, verbose_name='Twitter Card content')),
            ],
            options={
                'verbose_name': 'Twitter Card Meta',
                'verbose_name_plural': 'Twitter Card Meta',
            },
        ),
        migrations.CreateModel(
            name='SeoExtension',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('extended_object', models.OneToOneField(editable=False, on_delete=django.db.models.deletion.CASCADE, to='cms.page')),
                ('public_extension', models.OneToOneField(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='draft_extension', to='djangocms_seo.seoextension')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='SeoExtensionMetaTag',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('additional_info', models.CharField(blank=True, max_length=255, null=True, verbose_name='Additional Info')),
                ('meta_tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='djangocms_seo.metatag')),
                ('seo_extension', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='seo_meta_tags', to='djangocms_seo.seoextension')),
            ],
            options={
                'verbose_name': 'SEO Meta Tag Relationship',
                'verbose_name_plural': 'SEO Meta Tag Relationships',
            },
        ),
        migrations.AddField(
            model_name='seoextension',
            name='meta_tags',
            field=models.ManyToManyField(blank=True, related_name='meta_tags', through='djangocms_seo.SeoExtensionMetaTag', to='djangocms_seo.metatag'),
        ),
        migrations.CreateModel(
            name='SeoExtensionOpenGraphMeta',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('additional_info', models.CharField(blank=True, max_length=255, null=True, verbose_name='Additional Info')),
                ('open_graph_meta', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='djangocms_seo.opengraphmeta')),
                ('seo_extension', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='seo_og_meta', to='djangocms_seo.seoextension')),
            ],
            options={
                'verbose_name': 'SEO Open Graph Relationship',
                'verbose_name_plural': 'SEO Open Graph Relationships',
            },
        ),
        migrations.AddField(
            model_name='seoextension',
            name='og_meta',
            field=models.ManyToManyField(blank=True, related_name='og_meta', through='djangocms_seo.SeoExtensionOpenGraphMeta', to='djangocms_seo.opengraphmeta'),
        ),
        migrations.CreateModel(
            name='SeoExtensionTwitterMeta',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('additional_info', models.CharField(blank=True, max_length=255, null=True, verbose_name='Additional Info')),
                ('seo_extension', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='seo_twitter_meta', to='djangocms_seo.seoextension')),
                ('twitter_meta', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='djangocms_seo.twittercardmeta')),
            ],
            options={
                'verbose_name': 'SEO Twitter Meta Relationship',
                'verbose_name_plural': 'SEO Twitter Meta Relationships',
            },
        ),
        migrations.AddField(
            model_name='seoextension',
            name='twitter_meta',
            field=models.ManyToManyField(blank=True, related_name='twitter_meta', through='djangocms_seo.SeoExtensionTwitterMeta', to='djangocms_seo.twittercardmeta'),
        ),
    ]
